Name:           rpmlint
Version:        0.85
Release:        7.4.moblin2
Summary:        Tool for checking common errors in RPM packages

Group:          Development/Tools
License:        GPLv2
URL:            http://rpmlint.zarb.org/
Source0:        http://rpmlint.zarb.org/download/%{name}-%{version}.tar.bz2
Source1:        %{name}.config
Source2:        %{name}-CHANGES.package.old
Source3:        %{name}-etc.config
# Fedora specific, not upstreamable
Patch0:         %{name}-0.85-compile.patch
# From upstream svn
Patch1:         %{name}-0.85-configs.patch
Patch2:			%{name}-FilesCheck.patch
Patch3:			rpmlint-TagsCheck.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python >= 2.2
BuildRequires:  rpm-python
BuildRequires:  sed >= 3.95
Requires:       rpm-python
Requires:       python >= 2.2
Requires:       cpio
Requires:       binutils
Requires:       desktop-file-utils
Requires:       file

%description
rpmlint is a tool for checking common errors in RPM packages.  Binary
and source packages can be checked.


%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
sed -i -e /MenuCheck/d Config.py
install -pm 644 %{SOURCE2} CHANGES.package.old
install -pm 644 %{SOURCE3} config


%build
make


%install
rm -rf $RPM_BUILD_ROOT
touch rpmlint.pyc rpmlint.pyo # just for the %%exclude to work everywhere
make install DESTDIR=$RPM_BUILD_ROOT ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} \
  LIBDIR=%{_datadir}/rpmlint BINDIR=%{_bindir}
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/rpmlint/config


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog CHANGES.package.old README
%config(noreplace) %{_sysconfdir}/rpmlint/
%{_sysconfdir}/bash_completion.d/
%{_bindir}/rpmdiff
%{_bindir}/rpmlint
%{_datadir}/rpmlint/
%exclude %{_datadir}/rpmlint/rpmlint.py[co]
%{_mandir}/man1/rpmlint.1*


%changelog
* Tue Apr  7 2009 Anas Nashif <anas.nashif@intel.com> 0.85
- Add Intel Proprietary license
* Fri Jan  9 2009 Anas Nashif <anas.nashif@intel.com> 0.85
- disable bz2 check
* Sat Dec 13 2008 Anas Nashif <anas.nashif@intel.com> 0.85
- Consider compat packages as devel packages
* Tue Nov 25 2008 Anas Nashif <anas.nashif@intel.com> 0.84
- initial import into moblin
* Tue Nov 25 2008 Anas Nashif <anas.nashif@intel.com> 0.84
- initial import into moblin
* Thu Nov 20 2008 dmueller@suse.de
- only test for regular files in ChkPkgConfig check
* Fri Nov  7 2008 dmueller@suse.de
- add check for otherproviders() in branding packages
- correct kde4 related dependency checkers to not give false advises
- check for wrong-arch references in pkgconfig files (graphviz)
- lower false positives of untranslated-desktop files check
- support for checking .comment.SUSE.OPTs. real check has been
  left out for now
* Tue Nov  4 2008 lnussel@suse.de
- generate a different error for directories with setuid/setgid bit
* Tue Oct 28 2008 lnussel@suse.de
- add check for /etc/permissions violations
* Fri Oct  3 2008 dmueller@suse.de
- update to 0.84:
  * remove upstreamed patches
  * no significant changes
* Wed Sep  3 2008 dmueller@suse.de
- add description for useless-explicit-requires (bnc#405887)
* Wed Aug 20 2008 dmueller@suse.de
- rediff patch
* Mon Aug 18 2008 schwab@suse.de
- Fix name of completions file.
* Tue Aug 12 2008 dmueller@suse.de
- be more verbose in the lsb init script checks
* Mon Aug  4 2008 dmueller@suse.de
- change mandatory-lsb-keyword check to be in line with insserv
* Tue Jul 29 2008 dmueller@suse.de
- remove python-base in the warning as it is confusing.
  the warning itself is still valid though
- fix config typo
* Mon Jul 21 2008 dmueller@suse.de
- enable non-conffile-in-etc warning (bnc#409643)
- fix shlib policy dependency warnings (bnc#405280)
* Tue Jul  1 2008 dmueller@suse.de
- update cron dependency checker (bnc#400921)
* Sun Jun 29 2008 schwab@suse.de
- No PT_GNU_STACK on ia64 and ppc64.
* Sat Jun 28 2008 dmueller@suse.de
- also read /etc/rpmlint/factory.config
* Fri Jun 27 2008 dmueller@suse.de
- fix typo in suse-version check
* Sun Jun 22 2008 dmueller@suse.de
- update to 0.83:
  * removed upstreamed patches
  * a couple of new checks, bugfixes
* Wed Jun 18 2008 dmueller@suse.de
- fix exception in tags check (bnc#399655)
- add a warning for self-conflicts
* Thu Jun  5 2008 dmueller@suse.de
- fix naming policy check for lib64 based archs (bnc#392524)
* Tue May 13 2008 dmueller@suse.de
- fix typo in kde4 deps check
* Mon May  5 2008 dmueller@suse.de
- fix typo in branding policy check
* Fri May  2 2008 dmueller@suse.de
- readd cron check
- fix kmp check after the policy change
* Wed Apr 30 2008 dmueller@suse.de
- add checker for correct deps of kde4 packages
- add check for mono requirements (BNC#381979)
- improve branding policy checks
- add support for weak/reverse dependencies
- add checks for percent's in weak/reverse dependencies
- add checks for incorrect kmp dependencies (bnc384084#)
* Tue Apr 22 2008 dmueller@suse.de
- fix exception on testing for unversioned branding provides
* Mon Apr 21 2008 dmueller@suse.de
- suppress script warnings about /var/adm/fillup-templates (bnc#379601)
- add start of a branding policy checker
* Fri Apr 18 2008 jblunck@suse.de
- Fix some regex in BinariesCheck
* Thu Apr 17 2008 jblunck@suse.de
- Add symtab and debuginfo tests for static libs
* Thu Mar 13 2008 dmueller@suse.de
- autogenerate users/groups from autobuild (bnc#374601)
- suppress non-devel buildrequire dependency for tcl
- fix licenses symlink handling (bnc#370364)
- allow /usr/share/locale/be@latin (bnc#370418)
* Tue Mar 11 2008 dmueller@suse.de
- fix some false positives
* Mon Mar 10 2008 dmueller@suse.de
- add check for a really short description
* Thu Mar  6 2008 dmueller@suse.de
- be less restrictive in pkgconfig checks
* Mon Mar  3 2008 dmueller@suse.de
- suppress tag-not-utf8 warnings for now
* Thu Feb 28 2008 dmueller@suse.de
- add check for %%%%run_ldconfig
* Thu Feb 28 2008 dmueller@suse.de
- improve check output
* Wed Feb 27 2008 dmueller@suse.de
- improved tags check
- cleanups
* Mon Feb 25 2008 dmueller@suse.de
- reduce package-size-check false positives
- add another postscript check
* Tue Feb 19 2008 dmueller@suse.de
- fix typo in sorting routine
* Fri Feb 15 2008 dmueller@suse.de
- updated spec file name-guessing to catch more cases
- updated dot-in-identifier check
- suppression updates
* Tue Feb 12 2008 dmueller@suse.de
- update to 0.82:
  * some patches were upstreamed
  * small bugfixes
- rework fix for bnc#354177 to consider python bytecode
  arch-independent again, but catch it in arch-dependent paths
* Sat Feb  9 2008 dmueller@suse.de
- fix some minor buglets
* Tue Feb  5 2008 dmueller@suse.de
- consider python bytecode to not be arch independent (bnc#354177)
- improve postcheck to ignore unexpanded macros in comments (bnc#355306)
- check binary rpath for perl version dependency (bnc#355053)
- add check for unversioned self-provides
- update suse checks from SVN
- check for dot's in dependencies - forbidden by autobuild policy
* Wed Jan 23 2008 dmueller@suse.de
- improve documentation
* Mon Jan 14 2008 dmueller@suse.de
- check for libtool wrapper scripts being packaged (#353240)
* Wed Dec 12 2007 dmueller@suse.de
- reapply patch-detection fix
* Tue Dec  4 2007 dmueller@suse.de
- add suppression for libzypp
- fix wrong indentation in verify-buildrequires
* Fri Nov 30 2007 dmueller@suse.de
- bugfixes in check-mkdir-buildroot
- bugfix in percent-post check
- check for buildroot in %%%%post scriptlets
- remove abused legacy shared lib policy exceptions
- suppression update
* Tue Nov 27 2007 dmueller@suse.de
- fix suppression for internal packages
* Fri Nov 23 2007 dmueller@suse.de
- add suppression for non-remote_fs on boot.* (#340588)
* Wed Nov 21 2007 dmueller@suse.de
- add warning for non-utf8 filenames (#343216)
* Tue Nov  6 2007 dmueller@suse.de
- more prereq checks
* Mon Nov  5 2007 dmueller@suse.de
- suppression update
- add more prereq checks
* Fri Nov  2 2007 dmueller@suse.de
- fix prereq parsing code (#336712)
- update the obsolete-suse-version check to include 10.0 and 11.0
- fix prereq checks to check for coreutils
* Wed Oct 31 2007 dmueller@suse.de
- reporting format change-back got rejected by upstream,
  so adopt other changes to deal with it
* Tue Oct 30 2007 dmueller@suse.de
- change back reporting format to list the severity
  first
- add more legacy suppressions found by library policy
  fix
* Mon Oct 29 2007 dmueller@suse.de
- also check for Library Policy errors in /opt/kde3/lib
* Mon Oct 29 2007 dmueller@suse.de
- update to 0.81:
  * various new checks, some bugfixes
  * many patches upstreamed
  * rediffed all other patches
- NOTE: output format has changed from
  W: package check-id ..
  to
  package.<arch>: W: check-id ..
* Sun Oct  7 2007 dmueller@suse.de
- another round of updates
* Fri Oct  5 2007 dmueller@suse.de
- library policy legacy suppression update
* Mon Oct  1 2007 mmarek@suse.cz
- added 'mysql' to the list of standard users and groups
- removed 'jonas' (dropped package) from that list
* Tue Sep 25 2007 dmueller@suse.de
- update library policy checker for libgcc and libcaca
- check for /usr/share/gnome/help in documentation checks (#310134)
* Thu Sep 20 2007 dmueller@suse.de
- add check for non-whitelisted filedependencies (#326803)
* Mon Sep  3 2007 dmueller@suse.de
- fix hardlink check for /bin
* Sat Sep  1 2007 schwab@suse.de
- Fix last change.
* Fri Aug 31 2007 dmueller@suse.de
- fix off-by-one in hardlink check
* Fri Aug 31 2007 dmueller@suse.de
- fix exception in DuplicatesCheck
* Thu Aug 30 2007 dmueller@suse.de
- fix buildroot false positive
- check for hardlinks across partitions (#304167)
* Wed Aug 29 2007 dmueller@suse.de
- improve mkdir-installroot check
- fix rpmlint package regarding check above ;)
* Wed Aug 29 2007 mmarek@suse.cz
- improved the non-devel-buildrequires check
- added some default filters for non-devel-buildrequires and
  unneccessary-buildrequires
* Thu Aug 23 2007 dmueller@suse.de
- check for wrong cleaning of buildroot in %%%%install (#300232)
- check for obscure and unneccessary buildrequires
- add an icon size check (#163547)
* Tue Aug 21 2007 dmueller@suse.de
- refine the $remote_fs dependency check
* Sun Aug 12 2007 dmueller@suse.de
- suppression update
* Sat Aug 11 2007 dmueller@suse.de
- improved macro checks
- documentation update
* Fri Aug 10 2007 dmueller@suse.de
- detect makefile junk (#217472)
- suppression update
- fix a couple of false positives
* Tue Jul 31 2007 dmueller@suse.de
- fix package-with-huge-docs check to not complain about
  documentation-only packages
- remove verbosity from the shared library packaging policy check
* Wed Jul 25 2007 dmueller@suse.de
- fix man page check false positives
- make package-with-huge-docs check less verbose
* Tue Jul 17 2007 dmueller@suse.de
- accept lua as a builtin shell
- fix false positives on filesystem package
- add check for init scrips missing $remote_fs
* Wed Jul 11 2007 dmueller@suse.de
- adjust library policy suppressions for opal and pwlib (#290347)
- fix readme check (#291150)
* Mon Jul  9 2007 dmueller@suse.de
- its also a devel package if it provides a -devel subpackage (#289735)
* Wed Jul  4 2007 dmueller@suse.de
- suppress %%%%config check for now (#286231)
* Tue Jun 26 2007 dmueller@suse.de
- fix typo in devel-rpmgroup check
* Mon Jun 25 2007 dmueller@suse.de
- another update list of legacy packages
* Sat Jun 23 2007 dmueller@suse.de
- update list of legacy packages
* Fri Jun 22 2007 dmueller@suse.de
- suppressions for mono related packages (#282121)
* Fri Jun 22 2007 dmueller@suse.de
- fix the bzip2/gzip confusion again
* Fri Jun 22 2007 dmueller@suse.de
- update list of legacy packages
* Fri Jun 22 2007 dmueller@suse.de
- add list of legacy package names with non-policy conform
  package name
- check updates from SVN
* Thu Jun 21 2007 dmueller@suse.de
- suppression update
- suppress devel-file-in-non-devel package if its just a compat
  symlink to another .so
- avoid unstripped binaries warnings in BETA
- fix filesystem lint false positives
* Wed Jun 13 2007 dmueller@suse.de
- suppression update
- add descriptions to sysv5 init checks
- use readelf for binary info to improve performace
- check if source patch/tarballs is not bzip2'ed and bigger
  than 100k (suse packaging conventions requirement)
- check if package contains excessive sized documentation
* Mon Jun 11 2007 dmueller@suse.de
- hide errors related to .packlist files from perl
  still need to figure out though why they're there
* Mon Jun 11 2007 dmueller@suse.de
- fix build
* Sat Jun  9 2007 dmueller@suse.de
- make the buildroot check work
- make the buildroot check factor 10-15 faster
- fix the pkgconfig check
* Fri Jun  8 2007 dmueller@suse.de
- fix warning-hide hack (#279865)
- description update
* Fri Jun  8 2007 dmueller@suse.de
- hide unstripped-binary-or-object warning outside build (#279865)
- fix typo in library policy check
- adopt library checks for suse library packaging policy
- add check for unnecessarily packaged files
- description update
- suppression update
* Thu May 31 2007 dmueller@suse.de
- suppression update
- fix various checks
- add checks for init scripts
* Wed May 30 2007 dmueller@suse.de
- update LibraryPolicy Checker
* Tue May 29 2007 dmueller@suse.de
- suppression update
- fix XDG menu checker to also include non-/usr paths
- fix ghost-file-creation check to skip missingok files (#278761)
* Mon May 28 2007 dmueller@suse.de
- suppression-update
- Library Policy Checker crash fixes (#278592)
* Sat May 26 2007 dmueller@suse.de
- add description for missing lsb tags check
- fix obsolete-not-provided for yast2-provides
- fix devel-file check matching module names (e.g. apache2)
* Fri May 25 2007 dmueller@suse.de
- avoid spurious executable warnings for docdatadir/examples
- add LibraryPolicy checker from Richard (warning only)
- suppression update
* Thu May 24 2007 dmueller@suse.de
- fix suppression for qa_ packages
- fix exceptions caused by DesktopTranslation check
- fix crash caused by trailing colons in requires
* Thu May 24 2007 dmueller@suse.de
- fix file paths in Duplicate and DesktopTranslation checks
* Thu May 24 2007 dmueller@suse.de
- update sourced-dirs list
- add some more standard users
- add suppression for devel-file-in-non-devel package in java
- filter some more noise
* Wed May 23 2007 dmueller@suse.de
- add descriptions for obsolete suse version check
- suppress some more noise
- don't run duplicates check for source rpms
* Wed May 23 2007 dmueller@suse.de
- suppress errors for cross-avr-*
- suppress devel-packaging-naming errors for gcc41, gcc42
* Wed May 23 2007 dmueller@suse.de
- group output by check and put errors last (#276943)
- suppress some more noise (#277308)
- suppress %%%%ifarch-applied-patch (#277316)
- more suppressions for misnamed devel packages (#277317)
* Wed May 23 2007 dmueller@suse.de
- Suppress errors about platform dependent code in /usr/share
  if its inside a platform-dependant subdirectory
- Suppress devel-file-in-non-devel-package for systemtap (#277338)
- Make sure that the package fails if there is any syntax
  error anywhere
* Tue May 22 2007 dmueller@suse.de
- typo fix
* Tue May 22 2007 dmueller@suse.de
- update config
* Sat May 19 2007 coolo@suse.de
- add three more checks
* Thu May 17 2007 dmueller@suse.de
- update Duplicates Check to not crash on ghost files
* Tue May 15 2007 dmueller@suse.de
- suppress bzip2 related warnings
- no documentation for lib packages
* Tue May 15 2007 coolo@suse.de
- add a check how much space is wasted by duplicated files
* Mon May 14 2007 dmueller@suse.de
- remove rpm-devel requirement
- add check for filerequires on /usr/bin/env
- fix syntax errors in previous change
* Mon May 14 2007 coolo@suse.de
- add a check for /opt/kde3 not in %%%%doc or in %%%%lang
- fix files not in %%%%lang check
* Wed May  9 2007 dmueller@suse.de
- remove tabs from sources
* Mon May  7 2007 dmueller@suse.de
- fix desktop file check (#252482)
* Sat May  5 2007 dmueller@suse.de
- allow extensions to LSB starting with "X-" (#271495)
* Fri May  4 2007 dmueller@suse.de
- remove check for usedforbuild tag. magic happens and
  it is created automatically
* Wed Apr 18 2007 dmueller@suse.de
- add spec checks for obsolete suse hacks
* Wed Apr 18 2007 dmueller@suse.de
- update to 0.80:
  * many more checks
- suppression updates
* Thu Apr  5 2007 dmueller@suse.de
- suppressions for OpenOffice and linux-kernel-headers
* Thu Apr  5 2007 dmueller@suse.de
- update suppressions
* Wed Nov  8 2006 dmueller@suse.de
- fix compatibility with rpm-python of sles9 (#216081)
* Mon Sep 11 2006 dmueller@suse.de
- update to 0.77:
  * updated checks regarding FHS compliance
  * some python-lint fixlets
* Wed Apr 12 2006 dmueller@suse.de
- update to 0.76
* Fri Mar 24 2006 dmueller@suse.de
- update to 0.75
* Tue Mar 21 2006 dmueller@suse.de
- suppress some glibc related errors (#157906)
* Wed Feb 22 2006 dmueller@suse.de
- add km to the list of valid locales
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan  9 2006 dmueller@suse.de
- add check for untranslated desktop files
* Tue Dec 20 2005 dmueller@suse.de
- fix i18n subdir check
* Thu Dec 15 2005 dmueller@suse.de
- filter init-script-name-with-dot /etc/init.d/boot.* and
  script-without-shellbang /etc/profile.d/*
* Thu Nov 24 2005 dmueller@suse.de
- update to 0.71
- strip "requires-on-release" for now, too much noise
* Fri Jul 22 2005 dmueller@suse.de
- ignore dir-or-file-in-opt
* Mon Jun 20 2005 coolo@suse.de
- update to 0.70
* Thu Jun 16 2005 dmueller@suse.de
- upgrade to rpmlint 0.69
- split out the config file from the SUSE patch
* Thu Nov 11 2004 coolo@suse.de
- remove some MDK specific tests and add some SUSE specific tests
* Mon Feb 23 2004 hmacht@suse.de
- building as non-root
* Wed Jun 11 2003 coolo@suse.de
- initial version
